mise à jour woody vers sarge ou etch

Le
kabore yacouba
Bjr la communauté, j'ai un woody installé sur PC que je souhaiterai
mettre à jours vers sarge ou etch. Comment je dois procéder.
Lorsque je fais :
# apt-get dist-upgrade , il y'a ce message qui s'affiche:
0 package upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
je vous donne le contenu de mon /etc/apt/source.list:
deb cdrom:[Debian GNU/Linux 3.0r0 - Unofficial security and 3.0r1a
update and extras disk from debian.ch
(2003-09-24)]/packages/dists/woody/updates/ /
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-7
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-6
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-5
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-4
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-3
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-2
(20021218)]/ unstable contrib main non-US/contrib non-US/main
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-1
(20021218)]/ unstable contrib main non-US/contrib non-US/main


Merci d'avance
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Jean-Michel OLTRA
Le #9728111
Bonjour,


Le jeudi 10 janvier 2008, kabore yacouba a écrit...


Lorsque je fais :
# apt-get dist-upgrade , il y'a ce message qui s'affiche:
0 package upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
je vous donne le contenu de mon /etc/apt/source.list:
deb cdrom:[Debian GNU/Linux 3.0r0 - Unofficial security and 3.0r1a
update and extras disk from debian.ch
(2003-09-24)]/packages/dists/woody/updates/ /
deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-7



Il n'y a que des cdroms comme sources, le message reçu est donc normal.
Comment veux tu donc qu'il aille chercher une mise à jour ?

Voici le mien, qui est fort basique (lenny), mais qui te donnera une
idée :

#deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot amd64 NETINST Binary-1 20070802-09:21]/ lenny contrib main

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main contrib
deb-src http://security.debian.org/ lenny/updates main contrib

Attention, Attention…C'est du Lenny, donc testing.
Ne recopie pas le mien si tu veux du stable. Remplace dans ce cas lenny
par etch ou sarge.

Personnellement, je ferai d'abord une maj vers sarge, puis vers etch. A
voir d'autres avis.

Fais un `apt-get update` d'abord, pour charger la nouvelle liste de
paquets. Puis tu peux essayer de voir les sorties de 'upgrade' et
'dist-upgrade' avec l'option --simulate d'apt-get. Le 'dist-upgrade' est
souvent beaucoup plus sévère que le 'upgrade'.


--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thibaut Paumard
Le #9728061
Le 10 janv. 08 à 16:14, kabore yacouba a écrit :

Bjr la communauté, j'ai un woody installé sur PC que je souhaiterai
mettre à jours vers sarge ou etch. Comment je dois procéder.



Passe d'abord à Sarge puis à Etch. Lis les notes de publication,
notamment la procédure de mise-à-jour :
http://www.debian.org/releases/sarge/i386/release-notes/ch-
upgrading.fr.html
http://www.debian.org/releases/etch/i386/release-notes/ch-
upgrading.fr.html

Si tu ne le fais pas, tu es presque sûr d'avoir des problèmes.

Cordialement, Thibaut.
Francois Boisson
Le #9728031
Le Thu, 10 Jan 2008 15:14:02 +0000
"kabore yacouba"
Bjr la communauté, j'ai un woody installé sur PC que je souhaiterai
mettre à jours vers sarge ou etch. Comment je dois procéder.
Lorsque je fais :
# apt-get dist-upgrade , il y'a ce message qui s'affiche:
0 package upgraded, 0 newly installed, 0 to remove and 0




Situation que je connais. je suggère la démarche suivante:
deb http://archive.debian.org/debian-archive/ woody main contrib non-free
#deb http://ftp.fr.debian.org/debian-non-US woody/non-US main contrib non-free
deb http://security.debian.org woody/updates main contrib non-free
deb-src ftp://boisson.homeip.net/source/ ./
deb-src ftp://ftp.fr.debian.org/debian sarge main contrib non-free

dans le sources.list puis
# apt-get dist-upgrade

Remplacement de woody par sarge (mettre ftp.fr.debian/org qui contient encore
sarge), puis
# apt-get upgrade
vérification de la machine
puis
# apt-get dist-upgrade

Passage en 2.6.8

et enfin passage en Etch.

Là il faudra prévoir le passage de XFree à Xorg et la mise en place de udev
qui va mettre un peu de bazar.

François Boisson


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Thierry Leurent
Le #9645951
Je ferais un apt-get install apt-get avant de faire le apt-get dist-upgrade.
Apt à grandement évolué depuis sarge, il faut qu'il soit à   jour avant
d'installer le reste de la distib.

On Thursday 10 January 2008 16:29:04 Jean-Michel OLTRA wrote:
Bonjour,


Le jeudi 10 janvier 2008, kabore yacouba a écrit...

> Lorsque je fais :
> # apt-get dist-upgrade , il y'a ce message qui s'affiche:
> 0 package upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> je vous donne le contenu de mon /etc/apt/source.list:
> deb cdrom:[Debian GNU/Linux 3.0r0 - Unofficial security and 3.0r1a
> update and extras disk from debian.ch
> (2003-09-24)]/packages/dists/woody/updates/ /
> deb cdrom:[Debian GNU/Linux 3.0 r1 _Woody_ - Official i386 Binary-7

Il n'y a que des cdroms comme sources, le message reçu est donc norm al.
Comment veux tu donc qu'il aille chercher une mise à jour ?

Voici le mien, qui est fort basique (lenny), mais qui te donnera une
idée :

#deb cdrom:[Debian GNU/Linux testing _Lenny_ - Official Snapshot amd64
NETINST Binary-1 20070802-09:21]/ lenny contrib main

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main

deb http://security.debian.org/ lenny/updates main contrib
deb-src http://security.debian.org/ lenny/updates main contrib

Attention, Attention…C'est du Lenny, donc testing.
Ne recopie pas le mien si tu veux du stable. Remplace dans ce cas lenny
par etch ou sarge.

Personnellement, je ferai d'abord une maj vers sarge, puis vers etch. A
voir d'autres avis.

Fais un `apt-get update` d'abord, pour charger la nouvelle liste de
paquets. Puis tu peux essayer de voir les sorties de 'upgrade' et
'dist-upgrade' avec l'option --simulate d'apt-get. Le 'dist-upgrade' est
souvent beaucoup plus sévère que le 'upgrade'.


--
jm

A.E.L. Sarl (R.C.S CASTRES 490843240)
http://www.spidboutic.fr





--
Thierry Leurent
Phone  : +32 476/20.23.98
E-mail :
Website (en developpement) : http://www.asgardian.be
Publicité
Poster une réponse
Anonyme